## Class Swift_Mime_Headers_IdentificationHeader

(line 20)

## Description

    Swift_Mime_Headers_AbstractHeader
       |
       --Swift_Mime_Headers_IdentificationHeader

Located in File: /vendors/swiftMailer/classes/Swift/Mime/Headers/IdentificationHeader.php

##### An ID MIME Header for something like Message-ID or Content-ID.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_Headers_IdentificationHeader __construct (string $name)
string getFieldBody ()
array getFieldBodyModel ()
int getFieldType ()
string getId ()
string[] getIds ()
void setFieldBodyModel (mixed $model)
void setId (string $id)
void setIds ( $ids)

#### Constructor __construct (line 36)

#### Swift_Mime_Headers_IdentificationHeader __construct( string $name)

##### Creates a new IdentificationHeader with the given $name and $id.

#### Parameters

- string $name:

#### Info

- access - public

#### Method getFieldBody (line 145)

#### string getFieldBody( )

##### Get the string value of the body in this Header.

This is not necessarily RFC 2822 compliant since folding white space will not be added at this stage (see toString() for that).

#### Info

- see - Swift_Mime_Headers_AbstractHeader::toString()
- throws - Swift_RfcComplianceException
- access - public

#### Method getFieldBodyModel (line 69)

#### array getFieldBodyModel( )

##### Get the model for the field body.

This method returns an array of IDs

#### Info

- access - public

#### Method getFieldType (line 48)

#### int getFieldType( )

##### Get the type of Header that this instance represents.

#### Info

- see - TYPE_TEXT, TYPE_PARAMETERIZED, TYPE_MAILBOX
- see - TYPE_DATE, TYPE_ID, TYPE_PATH
- access - public

#### Method getId (line 89)

#### string getId( )

##### Get the ID used in the value of this Header.

If multiple IDs are set only the first is returned.

#### Info

- access - public

#### Method getIds (line 132)

#### string[] getIds( )

##### Get the list of IDs used in this Header.

#### Info

- access - public

#### Method setFieldBodyModel (line 59)

#### void setFieldBodyModel( mixed $model)

##### Set the model for the field body.

This method takes a string ID, or an array of IDs

#### Parameters

- mixed $model:

#### Info

- throws - Swift_RfcComplianceException
- access - public

#### Method setId (line 79)

#### void setId( string $id)

##### Set the ID used in the value of this header.

#### Parameters

- string $id:

#### Info

- throws - Swift_RfcComplianceException
- access - public

#### Method setIds (line 102)

#### void setIds( $ids)

##### Set a collection of IDs to use in the value of this Header.

#### Parameters

- string[] $ids:

#### Info

- throws - Swift_RfcComplianceException
- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_Headers_AbstractHeader

#### Swift_Mime_Headers_AbstractHeader::clearCachedValueIf() - Clear the cached value if $condition is met.

#### Swift_Mime_Headers_AbstractHeader::createPhrase() - Produces a compliant, formatted RFC 2822 'phrase' based on the string given.

#### Swift_Mime_Headers_AbstractHeader::encodeWords() - Encode needed word tokens within a string of input.

#### Swift_Mime_Headers_AbstractHeader::escapeSpecials() - Escape special characters in a string (convert to quoted-pairs).

#### Swift_Mime_Headers_AbstractHeader::generateTokenLines() - Generates tokens from the given string which include CRLF as individual tokens.

#### Swift_Mime_Headers_AbstractHeader::getCachedValue() - Get the value in the cache.

#### Swift_Mime_Headers_AbstractHeader::getCharset() - Get the character set used in this Header.

#### Swift_Mime_Headers_AbstractHeader::getEncodableWordTokens() - Splits a string into tokens in blocks of words which can be encoded quickly.

#### Swift_Mime_Headers_AbstractHeader::getEncoder() - Get the encoder used for encoding this Header.

#### Swift_Mime_Headers_AbstractHeader::getFieldName() - Get the name of this header (e.g. charset).

#### Swift_Mime_Headers_AbstractHeader::getGrammar() - Get the grammar defined for $name token.

#### Swift_Mime_Headers_AbstractHeader::getLanguage() - Get the language used in this Header.

#### Swift_Mime_Headers_AbstractHeader::getMaxLineLength() - Get the maximum permitted length of lines in this Header.

#### Swift_Mime_Headers_AbstractHeader::getTokenAsEncodedWord() - Get a token as an encoded word for safe insertion into headers.

#### Swift_Mime_Headers_AbstractHeader::initializeGrammar() - Initialize some RFC 2822 (and friends) ABNF grammar definitions.

#### Swift_Mime_Headers_AbstractHeader::setCachedValue() - Set a value into the cache.

#### Swift_Mime_Headers_AbstractHeader::setCharset() - Set the character set used in this Header.

#### Swift_Mime_Headers_AbstractHeader::setEncoder() - Set the encoder used for encoding the header.

#### Swift_Mime_Headers_AbstractHeader::setFieldName() - Set the name of this Header field.

#### Swift_Mime_Headers_AbstractHeader::setLanguage() - Set the language used in this Header.

#### Swift_Mime_Headers_AbstractHeader::setMaxLineLength() - Set the maximum length of lines in the header (excluding EOL).

#### Swift_Mime_Headers_AbstractHeader::tokenNeedsEncoding() - Test if a token needs to be encoded or not.

#### Swift_Mime_Headers_AbstractHeader::toString() - Get this Header rendered as a RFC 2822 compliant string.

#### Swift_Mime_Headers_AbstractHeader::toTokens() - Generate a list of all tokens in the final header.

#### Swift_Mime_Headers_AbstractHeader::__toString() - Returns a string representation of this object.

Documentation generated on Fri, 12 Nov 2010 20:45:22 +0000 by phpDocumentor 1.4.3